<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.gh.gamecenter.common.view.RecyclerViewExtended
        android:id="@+id/downloadmanager_rv_show"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/background_white" />

    <RelativeLayout
        android:id="@+id/downloadingHintContainer"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_alignParentBottom="true"
        android:visibility="gone"
        tools:visibility="visible">

        <RelativeLayout
            android:id="@+id/downloadingContainer"
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:layout_below="@id/shadowView"
            android:background="@color/background_white">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:drawablePadding="2dp"
                android:gravity="center"
                android:text="下载中"
                android:textColor="@color/theme_font"
                android:textSize="14sp"
                app:drawableEndCompat="@drawable/ic_downloading_hint" />
        </RelativeLayout>

        <View
            android:id="@+id/shadowView"
            android:layout_width="match_parent"
            android:layout_height="4dp"
            android:layout_alignParentTop="true"
            android:background="@drawable/shadow" />

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/downloadmanager_head_container"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:background="@color/background_white"
        android:orientation="vertical"
        android:visibility="gone">

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="@color/background" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:paddingLeft="20dp"
            android:paddingTop="8dp"
            android:paddingRight="20dp"
            android:paddingBottom="8dp">

            <TextView
                android:id="@+id/downloadmanager_tv_task"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="@string/downloading"
                android:textColor="@color/text_6c6c6c"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/downloadmanager_tv_allstart"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:text="@string/download_startall"
                android:textColor="@color/theme_font"
                android:textSize="12sp" />

        </RelativeLayout>
    </LinearLayout>

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception" />

</RelativeLayout>